aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--debian/bitlbee-dev.postinst14
-rw-r--r--debian/bitlbee.postinst14
-rw-r--r--debian/changelog10
3 files changed, 37 insertions, 1 deletions
diff --git a/debian/bitlbee-dev.postinst b/debian/bitlbee-dev.postinst
new file mode 100644
index 00000000..e5e3e7fd
--- /dev/null
+++ b/debian/bitlbee-dev.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Replace documentation directory with symlink
+docdir="/usr/share/doc/bitlbee-dev"
+if [ -d $docdir ] && [ ! -L $docdir ]; then
+ if rmdir $docdir 2>/dev/null; then
+ ln -sf bitlbee-common $docdir
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/bitlbee.postinst b/debian/bitlbee.postinst
new file mode 100644
index 00000000..18209bd4
--- /dev/null
+++ b/debian/bitlbee.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Replace documentation directory with symlink
+docdir="/usr/share/doc/bitlbee"
+if [ -d $docdir ] && [ ! -L $docdir ]; then
+ if rmdir $docdir 2>/dev/null; then
+ ln -sf bitlbee-common $docdir
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/changelog b/debian/changelog
index b34cf5c2..d1feff3b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,12 @@
-bitlbee (3.0.5-1.1) UNRELEASED; urgency=low
+bitlbee (3.0.5-1.2) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * debian/bitlbee{,-dev}.postinst: Fix directory to symlink upgrade in
+ postinst. (Closes: #687865)
+
+ -- David Prévot <taffit@debian.org> Wed, 26 Sep 2012 23:20:41 -0400
+
+bitlbee (3.0.5-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix "fails to install, purge, and install again":